[package]
name = "website"
version = "0.1.2"
edition = "2021"

[dependencies]
rand = "0.8"
axum = { version = "0.7", features = ["multipart", "ws"] }
tokio = { version = "1", features = ["rt-multi-thread", "macros", "fs", "io-util", "net", "sync", "time"] }
tower-http = { version = "0.5", features = ["fs"] }
tera = "1.19.1"
reqwest = { version = "0.12", features = ["json", "rustls-tls"], default-features = false }
serde = { version = "1", features = ["derive"] }
axum-extra = { version = "0.9", features = ["cookie"] }
tokio-postgres = "0.7"
toml = "0.8"
tokio-util = { version = "0.7", features = ["io"] }
anyhow = "1.0"
blake2b_simd = "1.0"
dryoc = "0.7"
deku = "0.20"
frontend_protocol = { path = "../frontend_protocol" }
